
import 'package:flutter/material.dart';

import '../../common/values/sizes.dart';
import 'custom_icon.dart';

Widget loadingWidget() {
  return Center(
    child: Padding(
      padding: const EdgeInsets.all(8.0),
      child: CircularProgressIndicator(),
    ),
  );
}

Widget errorWidget({Function(BuildContext)? onRetryClicked}) {
  return Center(
    child: Builder(
      builder: (context) => Center(
        child: InkWell(
          onTap: () {
            if (onRetryClicked != null) {
              onRetryClicked(context);
            }
          },
          child: Padding(
            padding: const EdgeInsets.all(8.0),
            child: Column(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: <Widget>[
                CustomIcon(
                  icon: Icons.error,
                  color: Colors.redAccent,
                  size: Sizes.ICON_SIZE_48,
                ),
                Text("Click here to retry")
              ],
            ),
          ),
        ),
      ),
    ),
  );
}
