import 'package:flutter/material.dart';

import '../../common/values/sizes.dart';
import 'custom_icon.dart';

class CustomCheckBoxCircle extends StatefulWidget {
  const CustomCheckBoxCircle({Key? key}) : super(key: key);

  @override
  State<CustomCheckBoxCircle> createState() => _CustomCheckBoxCircleState();
}

class _CustomCheckBoxCircleState extends State<CustomCheckBoxCircle> {
  bool _value = false;

  @override
  Widget build(BuildContext context) {
    return Center(
        child: InkWell(
      onTap: () {
        setState(() {
          _value = !_value;
        });
      },
      child: Container(
        decoration: BoxDecoration(shape: BoxShape.circle, color: Colors.blue),
        child: Padding(
          padding: const EdgeInsets.all(10.0),
          child: _value
              ? CustomIcon(
                  icon: Icons.check,
                  size: Sizes.ICON_SIZE_32,
                  color: Colors.white,
                )
              : CustomIcon(
                  icon: Icons.check_box_outline_blank,
                  size: Sizes.ICON_SIZE_32,
                  color: Colors.blue,
                ),
        ),
      ),
    ));
  }
}
